package com.goafanti.patent.bo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

import com.goafanti.common.constant.ErrorConstants;

public class InputPatentCost {
	
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	annualFee;
	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	annualFeeState;
	
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	applicationFee;
	
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	trialFee;
	
	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	printingFee;
	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	funds;
	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	reimbursement;
	
	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	paymentState;

	public Integer getAnnualFee() {
		return annualFee;
	}

	public void setAnnualFee(Integer annualFee) {
		this.annualFee = annualFee;
	}

	public Integer getAnnualFeeState() {
		return annualFeeState;
	}

	public void setAnnualFeeState(Integer annualFeeState) {
		this.annualFeeState = annualFeeState;
	}

	public Integer getApplicationFee() {
		return applicationFee;
	}

	public void setApplicationFee(Integer applicationFee) {
		this.applicationFee = applicationFee;
	}

	public Integer getTrialFee() {
		return trialFee;
	}

	public void setTrialFee(Integer trialFee) {
		this.trialFee = trialFee;
	}

	public Integer getPrintingFee() {
		return printingFee;
	}

	public void setPrintingFee(Integer printingFee) {
		this.printingFee = printingFee;
	}

	public Integer getFunds() {
		return funds;
	}

	public void setFunds(Integer funds) {
		this.funds = funds;
	}

	public Integer getReimbursement() {
		return reimbursement;
	}

	public void setReimbursement(Integer reimbursement) {
		this.reimbursement = reimbursement;
	}

	public Integer getPaymentState() {
		return paymentState;
	}

	public void setPaymentState(Integer paymentState) {
		this.paymentState = paymentState;
	}
	
	
}
